Loading...
Searching...
No Matches
irr::video::IImageWriter Class Referenceabstract

Interface for writing software image data. More...

`#include <IImageWriter.h>`

Inheritance diagram for irr::video::IImageWriter:

## Public Member Functions

virtual bool | isAWriteableFileExtension (const io::path &filename) const =0
| Check if this writer can write a file with the given extension.
virtual bool | writeImage (io::IWriteFile *file, IImage *image, u32 param=0) const =0
| Write image to file.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Interface for writing software image data.

Definition at line 25 of file IImageWriter.h.

## Member Function Documentation

## isAWriteableFileExtension()

virtual bool irr::video::IImageWriter::isAWriteableFileExtension | ( | const io::path & | filename | ) | const

pure virtual

Check if this writer can write a file with the given extension.

Parameters

  filename | Name of the file to check.

Returns
  True if file extension specifies a writable type.

## writeImage()

virtual bool irr::video::IImageWriter::writeImage | ( | io::IWriteFile * | file,
|  | IImage * | image,
|  | u32 | param = 0 ) const

pure virtual

Write image to file.

Parameters

  file | File handle to write to.
  image | Image to write into file.
  param | Writer specific parameter, influencing e.g. quality.

Returns
  True if image was successfully written.

The documentation for this class was generated from the following file:

- IImageWriter.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0